not enough ids mod

The Not Enough IDs (NEIDs) Mod is a core mode that extends the hardcoded ID limit for blocks and items and extends the limit to 65535 and 65534 for items.

What the Mod Offers

There is a limit to the number of blocks and items that can be registered in vanilla Minecraft. This mod breaks the limit and extends it to 65535 for blocks and 65534 for items. The mod is compatible with pre-NEID worlds, underground biomes constructs, Optifine, fastcraft, and other mods. There are also some mods that require this core mod, and this mod is used by other mod packs as well.

How to Install Not Enough IDs (NEIDs) Mod 1.17.1 / 1.16.5

The mod requires the modding API Minecraft Forge to work. To properly install the mod, follow the simple steps below.

  1. Download and install Minecraft Forge.
  2. Run Minecraft with Forge installed at least once to generate the necessary files and folders.
  3. Download the mod using the link below.
  4. Navigate your way to %Appdata%.
  5. Locate the ‘.minecraft/mods’ folder.
  6. Put the downloaded file to the mods folder inside Minecraft directory.

Should You Install It?

The mod has a specific use of providing a solution for having too many items and blocks registered and added by other mods. If you have so many mods installed, then we recommend adding this mod to prevent running out of item and block IDs.

Not Enough IDs (NEIDs) Mod 1.17.1 / 1.16.5 Download Links

NotEnoughIDs icon
Created: Aug 18, 2015
Updated: Apr 3, 2019
Developer: fewizz_
Downloads: 16,419,786
1.17.11.171.16.51.15.21.14.41.13.21.12.21.11.21.10.21.9.41.8.91.7.10
1 Star2 Stars3 Stars4 Stars5 Stars
Rating: 3.22 - 9 votes
Previous modSilent Lib Mod 1.17.1/1.16.5/1.15.2/1.14.4
Next modBlock Armor Mod 1.17.1/1.16.5/1.15.2/1.14.4

LEAVE A REPLY

Please enter your comment!
Please enter your name here